<?php
/**
 * Morepagedata
 *
 * @author svasti svasti@svasti.de
 */

// Check if PLUGINLOADER is calling
if(!defined('PLUGINLOADER')) {
	die('Plugin '. basename(dirname(__FILE__)) . ' requires a newer version of the Pluginloader. No direct access.');
}

// json function for php 4, supplied by cmb
if (!function_exists('json_encode')) {
    // make sure the class wasn't already included by another plugin
    if (!class_exists('CMB_JSON')) {
	include_once $pth['folder']['plugins'] . 'morepagedata/json.php';
    }
    function json_encode($value)
    {
	$json = CMB_JSON::instance();
	return $json->encode($value);
    }
    function json_decode($string)
    {
	$json = CMB_JSON::instance();
	return $json->decode($string);
    }
}




// Get the field arrays
$mpd = json_decode(file_get_contents($pth['folder']['plugins'].'morepagedata/config/config2.php'),true);

// Add used interests to router
foreach ($mpd['var'] as $key=>$value) {
    if($value) $pd_router -> add_interest($value);
}

// tab for admin-menu
$pd_router -> add_tab($plugin_tx['morepagedata']['pagedata_tab'], $pth['folder']['plugins'].'morepagedata/morepagedata_view.php');


// Set morepagedata contents.
$mpd_imagelist = $slideshoweffect = $mpd_file = $mpd_plugin = '';

foreach ($mpd['var'] as $key=>$value) {
    if(isset($pd_current[$value]) && $pd_current[$value]){
        $$value = $pd_current[$value];
        if($mpd['type'][$key] == 'plugin_call') $mpd_plugin = $$value;
        if($mpd['type'][$key] == 'slide_show') $mpd_imagelist = $$value;
    }
}

// add a function call to a page
if($mpd_plugin && (!$adm OR ($adm && !$edit))) $c[$pd_s] .=  '{{{PLUGIN:'.$mpd_plugin.';}}}';


// Produce slide show
if($mpd_imagelist) slideShowImages($mpd_imagelist,$slideshoweffect);

function slideShowImages($mpd_imagelist='',$slideshoweffect='')
{
    global $plugin_cf,$hjs,$pth;

    include_once($pth['folder']['plugins'].'jquery/jquery.inc.php');
    include_jQuery();
    include_jQueryPlugin('cycle', $pth['folder']['plugins'].'morepagedata/js/jquery/jquery.cycle.lite.js');

    $imagearray = explode(',',$mpd_imagelist);
    $src_list = '';
    foreach ($imagearray as $key=>$value) {
        if($value) $src_list .= "\n\t"
                              . '<div>'
                              . tag('img src="'.$pth['folder']['base']
                              . $plugin_cf['morepagedata']['path_slideshow_images']
                              . '/'
                              . $value
                              . '" ')
                              . '</div>';
    }

    $hjs .= '<script type="text/javascript">
(function($) {
    $(document).ready(function() {
        $(\'.slideshow\').cycle({
    		fx: \'fade\',
            speed: '.$plugin_cf['morepagedata']['slideshow_speed'].',
            timeout: '.$plugin_cf['morepagedata']['slideshow_time-out'].'
    	});
    })
})(jQuery)
</script>';

return $src_list;

}
?>
